{
  "schema_version": "1.4.0",
  "id": "GHSA-c9m9-x3p2-fwvw",
  "modified": "2022-05-14T01:30:16Z",
  "published": "2022-05-14T01:30:16Z",
  "aliases": [
    "CVE-2018-8781"
  ],
  "details": "The udl_fb_mmap function in drivers/gpu/drm/udl/udl_fb.c at the Linux kernel version 3.4 and up to and including 4.15 has an integer-overflow vulnerability allowing local users with access to the udldrmfb driver to obtain full read and write permissions on kernel physical pages, resulting in a code execution in kernel space.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-8781"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2018:2948"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2018:3083"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2018:3096"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2018/05/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "https://patchwork.freedesktop.org/patch/211845"
    },
    {
      "type": "WEB",
      "url": "https://research.checkpoint.com/mmap-vulnerabilities-linux-kernel"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3654-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3654-2"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3656-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3674-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3674-2"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3677-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3677-2"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2018/dsa-4187"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2018/dsa-4188"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-04-23T19:29:00Z"
  }
}